REST API ReferenceDashboard APIPrefs
Update the current user's notification preferences
PATCH
/prefs/notifPrefsUpdate notification preferences for the current user. All four boolean fields must be provided in the request body.
Authorization
bearerAuth AuthorizationBearer <token>
User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/prefs/notifPrefs" \ -H "Content-Type: application/json" \ -d '{ "error_spike": true, "app_hang_spike": true, "bug_report": false, "daily_summary": true }'{ "ok": "done"}Empty
Empty
Empty
Empty
Empty
Think this page can be better?
Open an issue